| Home | Libraries | People | FAQ | More

## Function template ierase_nth

boost::algorithm::ierase_nth — Erase nth algorithm.

## Synopsis

    template<typename SequenceT, typename CollectionT>
      void ierase_nth(SequenceT & Input, const CollectionT & Search,
                      unsigned int Nth, const std::locale & Loc = std::locale());

## Description

Remove the Nth occurence of the substring in the input. The input sequence is modified in-place. Searching is case insensitive.

Parameters

Input

  An input string

Loc

  A locale used for case insensitive comparison

Nth

  An index of the match to be replaced. The index is 0-based.

Search

  A substring to be searched for.

| Copyright © 2002-2004 Pavol Droba